Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class UnknownSQLTypeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.common.UnknownSQLTypeException

public class UnknownSQLTypeException
extends JboException

Indicates that an attempt has been made to use a unknown or unimplemented SQL data type.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`UnknownSQLTypeException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params)` Creates an exception to be localized using the specified resource bundle and error code.
`UnknownSQLTypeException(java.lang.String type)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_TYP_UNKNOWN_SQL_TYPE`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownSQLTypeException

    public UnknownSQLTypeException(java.lang.Class resBundleClass,
                                   java.lang.String errorCode,
                                   java.lang.Object[] params)

  Creates an exception to be localized using the specified resource bundle and error code.
  Parameters:
    `resBundleClass` - a `ResourceBundle`.
    `errorCode` - an error code.
    `params` - parameters to be inserted into the error message.

### UnknownSQLTypeException

    public UnknownSQLTypeException(java.lang.String type)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_TYP_UNKNOWN_SQL_TYPE`.
  Parameters:
    `type` - the name of the unknown SQL type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD